package cn.com.countrygarden.bi.main.service.review;
import java.text.ParseException;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.ReviewQuestionnaireEditVo;
import cn.com.countrygarden.bi.main.dto.ReviewQuestionnaireProblemDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaire;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblem;
/**
 * 问题表-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewQuestionnaireProblemService {

    Result queryPageList(ReviewQuestionnaireProblem reviewQuestionnaireProblem, int page, int size);

    Result queryById(Integer id);
    
    Result add(ReviewQuestionnaire reviewQuestionnaire, String str,String qclassAryNew,AccessToken accessToken);


    Result del(Integer id);
	
	Result edit(ReviewQuestionnaireEditVo reviewQuestionnaireEditVo,String str, String qclassAryNew,AccessToken accessToken) throws ParseException ;
	Result queryProblemTypeAndProblemClass(int investigationmanagementId);
    Result add(ReviewQuestionnaireProblem reviewQuestionnaireProblem, AccessToken accessToken);
    Result edit(ReviewQuestionnaireProblem reviewQuestionnaireProblem, AccessToken accessToken);
    
    List<ReviewQuestionnaireProblemDTO> questionoblemsex(Integer questionnaireId,Integer investigationmanagementId);
    
    List<ReviewQuestionnaireProblemDTO> questionoblemswenex(Integer questionnaireId,Integer investigationmanagementId);
}